using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinChart.WinChartHelper;

namespace ChartPresetsWithInheritedControl
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.userControlUltraChart1.Data.DataSource = GetLineData();
            this.userControlUltraChart1.DataBind();
        }

        private DataTable GetLineData()
        {
            DataTable mydata = new DataTable();
            //Define the columns and their names
            mydata.Columns.Add("Series Label", typeof(string));
            mydata.Columns.Add("Point A", typeof(int));
            mydata.Columns.Add("Point B", typeof(int));
            mydata.Columns.Add("Point C", typeof(int));
            mydata.Columns.Add("Point D", typeof(int));
            //Add the rows of data
            mydata.Rows.Add(new Object[] { "Line A", 1, 9, 2, 8 });
            mydata.Rows.Add(new Object[] { "Line B", 3, 7, 5, 5 });
            return mydata;
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            MemoryStream memoryStream = new MemoryStream();
            this.userControlUltraChart1.SavePreset(memoryStream, "test", "test", PresetType.All);

            this.userControlUltraChart2.LoadPreset(memoryStream, true);

            this.userControlUltraChart2.Data.DataSource = GetLineData();
            this.userControlUltraChart2.DataBind();

        }
    }
}